Bug 9078 - Libs must be linked with libs they use
: Libs must be linked with libs they use
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/graphviz)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2006-02-15 11:02 by
Modified: 2008-09-10 00:32 (History)


Attachments
link fixes (5.05 KB, patch)
2006-10-21 20:01, Andrey Rahmatullin
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-02-15 11:02:59
/usr/lib/libagraph.so.0 : missing -lcdt
/usr/lib/libcircogen.so.0: missing -lcommon
/usr/lib/libdotgen.so.0: missing -lcommon
/usr/lib/libexpr.so.0: missing -lcommon (also uses symbols from /usr/bin/gvpr)
/usr/lib/libfdpgen.so.0: missing -lcommon
/usr/lib/libneatogen.so.0: missing -lcommon
/usr/lib/libpack.so.0: missing -lcommon
/usr/lib/libtwopigen.so.0: missing -lcommon


Actual Results:  



Expected Results:
------- Comment #1 From 2006-07-18 23:32:44 -------
новому майнтайнеру
------- Comment #2 From 2006-10-18 01:37:24 -------
Шлите патчи.
Кстати, какой утилитой получен этот вывод?
------- Comment #3 From 2006-10-18 09:40:05 -------
Руками.
------- Comment #4 From 2006-10-21 20:01:40 -------
Created an attachment (id=1666) [details]
link fixes
------- Comment #5 From 2006-10-21 20:04:39 -------
После написания этого патча выяснилось, что там 2 либы юзают символы друг из 
друга, и я забил.
------- Comment #6 From 2006-10-22 02:51:45 -------
Спасибо.
В любом случае это лучше чем тот ужас что у меня в пакете сейчас.
------- Comment #7 From 2006-10-22 03:28:23 -------
С этим патчем попросту не собирается.
Если тебе не слишком сложно, можешь сделать бранч от graphviz у себя, и
пофиксить там это?
------- Comment #8 From 2006-10-22 11:35:56 -------
(In reply to comment #7)
> С этим патчем попросту не собирается.
Я знаю. Потому что я не знаю, как такое фиксить.
Конечно, можно недолинковать кого-нибудь с кем-нибудь.

> Если тебе не слишком сложно, можешь сделать бранч от graphviz у себя, и
> пофиксить там это?
Я подумаю.
------- Comment #9 From 2006-10-23 01:40:07 -------
Если что-то приходится недолинковать -- тогда решением получается
недолинковать.

Можно, конечно, выпендриться и разбить библиотеку на части, но я не вижу в этом
никакого смысла в случае с graphviz.
------- Comment #10 From 2007-03-18 14:30:53 -------
Будем с этим что-нибудь делать, или оставим как есть?
------- Comment #11 From 2007-03-19 19:21:26 -------
Не знаю.
Меня этот пакет особо не интересует.
------- Comment #12 From 2008-03-06 20:06:22 -------
Просьба по возможности посмотреть 2.16.1-alt1 из Daedalus, если кого-либо
волнует сей вопрос.
------- Comment #13 From 2008-03-23 01:58:32 -------
reassign
------- Comment #14 From 2008-03-23 01:59:01 -------
reassign
------- Comment #15 From 2008-09-08 18:08:08 -------
reass... ой, чего это я.

fixed in 2.16.1-alt1:
libcdt.so.4 => /usr/lib/libcdt.so.4 (0xb7fd2000)
------- Comment #16 From 2008-09-09 23:17:48 -------
Оно ж...
Оно ж непочиняемое было нормально?
------- Comment #17 From 2008-09-10 00:32:16 -------
Это не сильномогучий я, это взявший и открывшийся апстрим ;-)
См. смену License: